Package tigase.disco

## Class ServiceEntity

- java.lang.Object
- - tigase.disco.ServiceEntity

-     public class ServiceEntity
      extends java.lang.Object

  Describe class ServiceEntity here.
  Created: Sat Feb 10 13:11:34 2007
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServiceEntity​(java.lang.String jid, java.lang.String node, java.lang.String name)` |
    `ServiceEntity​(java.lang.String jid, java.lang.String node, java.lang.String name, java.util.function.Function<java.lang.String,​Element> extensionSupplier)` |
    `ServiceEntity​(java.lang.String jid, java.lang.String node, java.lang.String name, java.util.function.Function<java.lang.String,​Element> extensionSupplier, boolean adminOnly)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addFeatures​(java.lang.String... features)` |
    `void` | `addIdentities​(ServiceIdentity... identities)` |
    `void` | `addItems​(ServiceEntity... items)` |
    `boolean` | `equals​(java.lang.Object obj)` | 2 ServiceEntities are equal of JIDs are equal and NODEs are equal.
    `ServiceEntity` | `findNode​(java.lang.String node)` |
    `java.util.Optional<Element>` | `getCaps​(boolean admin, java.lang.String domain)` |
    `java.lang.String[]` | `getDiscoFeatures()` |
    `Element[]` | `getDiscoFeatures​(java.lang.String node)` |
    `java.util.List<ServiceIdentity>` | `getDiscoIdentities()` |
    `Element` | `getDiscoInfo​(java.lang.String node)` |
    `Element` | `getDiscoInfo​(java.lang.String node, boolean admin)` |
    `Element` | `getDiscoItem​(java.lang.String node, java.lang.String jid)` |
    `java.util.List<Element>` | `getDiscoItems​(java.lang.String node, java.lang.String jid)` |
    `java.util.List<Element>` | `getDiscoItems​(java.lang.String node, java.lang.String jid, boolean admin)` |
    `java.util.List<Element>` | `getItems​(java.lang.String node, java.lang.String jid)` |
    `java.util.List<Element>` | `getItems​(java.lang.String node, java.lang.String jid, boolean admin)` |
    `java.lang.String` | `getJID()` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getNode()` |
    `int` | `hashCode()` |
    `boolean` | `isAdminOnly()` |
    `void` | `removeItems​(ServiceEntity... items)` |
    `void` | `setAdminOnly​(boolean adminOnly)` |
    `void` | `setDescription​(java.lang.String description)` |
    `void` | `setFeatures​(java.lang.String... features)` |
    `void` | `setIdentities​(ServiceIdentity... identities)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceEntity

          public ServiceEntity​(java.lang.String jid,
                               java.lang.String node,
                               java.lang.String name)

    - #### ServiceEntity

          public ServiceEntity​(java.lang.String jid,
                               java.lang.String node,
                               java.lang.String name,
                               java.util.function.Function<java.lang.String,​Element> extensionSupplier)

    - #### ServiceEntity

          public ServiceEntity​(java.lang.String jid,
                               java.lang.String node,
                               java.lang.String name,
                               java.util.function.Function<java.lang.String,​Element> extensionSupplier,
                               boolean adminOnly)

  - ### Method Detail

    - #### addFeatures

          public void addFeatures​(java.lang.String... features)

    - #### addIdentities

          public void addIdentities​(ServiceIdentity... identities)

    - #### addItems

          public void addItems​(ServiceEntity... items)

    - #### equals

          public boolean equals​(java.lang.Object obj)

      2 ServiceEntities are equal of JIDs are equal and NODEs are equal.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - an `Object` value
      Returns:
        a `boolean` value

    - #### findNode

          public ServiceEntity findNode​(java.lang.String node)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### removeItems

          public void removeItems​(ServiceEntity... items)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getCaps

          public java.util.Optional<Element> getCaps​(boolean admin,
                                                     java.lang.String domain)

    - #### getDiscoFeatures

          public java.lang.String[] getDiscoFeatures()

    - #### getDiscoIdentities

          public java.util.List<ServiceIdentity> getDiscoIdentities()

    - #### getDiscoFeatures

          public Element[] getDiscoFeatures​(java.lang.String node)

    - #### getDiscoInfo

          public Element getDiscoInfo​(java.lang.String node)

    - #### getDiscoInfo

          public Element getDiscoInfo​(java.lang.String node,
                                      boolean admin)

    - #### getDiscoItem

          public Element getDiscoItem​(java.lang.String node,
                                      java.lang.String jid)

    - #### getDiscoItems

          public java.util.List<Element> getDiscoItems​(java.lang.String node,
                                                       java.lang.String jid)

    - #### getDiscoItems

          public java.util.List<Element> getDiscoItems​(java.lang.String node,
                                                       java.lang.String jid,
                                                       boolean admin)

    - #### getItems

          public java.util.List<Element> getItems​(java.lang.String node,
                                                  java.lang.String jid)

    - #### getItems

          public java.util.List<Element> getItems​(java.lang.String node,
                                                  java.lang.String jid,
                                                  boolean admin)

    - #### getJID

          public java.lang.String getJID()

    - #### getName

          public java.lang.String getName()

    - #### getNode

          public java.lang.String getNode()

    - #### isAdminOnly

          public boolean isAdminOnly()

    - #### setAdminOnly

          public void setAdminOnly​(boolean adminOnly)

    - #### setDescription

          public void setDescription​(java.lang.String description)

    - #### setFeatures

          public void setFeatures​(java.lang.String... features)

    - #### setIdentities

          public void setIdentities​(ServiceIdentity... identities)